Index: /gssim/trunk/src/test/workflow/workload/GrmsJob_01.xml
===================================================================
--- /gssim/trunk/src/test/workflow/workload/GrmsJob_01.xml	(revision 1047)
+++ /gssim/trunk/src/test/workflow/workload/GrmsJob_01.xml	(revision 1047)
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grmsJob appId="1">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="1">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="2">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="3">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+</grmsJob>
Index: /gssim/trunk/src/test/workflow/workload/GrmsJob_02.xml
===================================================================
--- /gssim/trunk/src/test/workflow/workload/GrmsJob_02.xml	(revision 1047)
+++ /gssim/trunk/src/test/workflow/workload/GrmsJob_02.xml	(revision 1047)
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grmsJob appId="2">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="1">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="2">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="3">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+</grmsJob>
Index: /gssim/trunk/src/test/workflow/workload/GrmsJob_03.xml
===================================================================
--- /gssim/trunk/src/test/workflow/workload/GrmsJob_03.xml	(revision 1047)
+++ /gssim/trunk/src/test/workflow/workload/GrmsJob_03.xml	(revision 1047)
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grmsJob appId="3">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="1">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="2">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="3">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+</grmsJob>
Index: /gssim/trunk/src/test/workflow/workload/GrmsJob_04.xml
===================================================================
--- /gssim/trunk/src/test/workflow/workload/GrmsJob_04.xml	(revision 1047)
+++ /gssim/trunk/src/test/workflow/workload/GrmsJob_04.xml	(revision 1047)
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grmsJob appId="4">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="1">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="2">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="3">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+</grmsJob>
Index: /gssim/trunk/src/test/workflow/workload/workload5.swf
===================================================================
--- /gssim/trunk/src/test/workflow/workload/workload5.swf	(revision 1047)
+++ /gssim/trunk/src/test/workflow/workload/workload5.swf	(revision 1047)
@@ -0,0 +1,37 @@
+;Automatically generated workload description by the Data Center Workload Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;StartTime: Thu Jan 15 10:00:00 IRST 2009
+		0		37		-1		13687		1		-1		-1		1		13687		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		1		37		-1		16417		1		-1		-1		1		16417		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		2		37		-1		15364		1		-1		-1		1		15364		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		3		37		-1		16771		1		-1		-1		1		16771		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		4		82		-1		14469		1		-1		-1		1		14469		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		5		82		-1		13519		1		-1		-1		1		13519		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		6		82		-1		15121		1		-1		-1		1		15121		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		7		82		-1		11965		1		-1		-1		1		11965		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		8		127		-1		12232		1		-1		-1		1		12232		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		9		127		-1		11675		1		-1		-1		1		11675		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		10		127		-1		13586		1		-1		-1		1		13586		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		11		127		-1		17054		1		-1		-1		1		17054		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		12		180		-1		14556		1		-1		-1		1		14556		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		13		180		-1		17369		1		-1		-1		1		17369		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		14		180		-1		13923		1		-1		-1		1		13923		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		15		180		-1		17995		1		-1		-1		1		17995		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		16		235		-1		14022		1		-1		-1		1		14022		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		17		235		-1		15592		1		-1		-1		1		15592		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		18		235		-1		13833		1		-1		-1		1		13833		1024		-1		-1		-1		-1		-1		-1		-1		-1
+		19		235		-1		12433		1		-1		-1		1		12433		1024		-1		-1		-1		-1		-1		-1		-1		-1
+;IDMapping: swfID:jobID:taskID
+; 0:0:0, 1:0:1, 2:0:2, 3:0:3, 4:1:0, 5:1:1, 6:1:2, 7:1:3, 8:2:0, 9:2:1, 
+; 10:2:2, 11:2:3, 12:3:0, 13:3:1, 14:3:2, 15:3:3, 16:4:0, 17:4:1, 18:4:2, 19:4:3, 
+; 
+;IDMapping: end
Index: /gssim/trunk/src/test/workflow/workload/GrmsJob_00.xml
===================================================================
--- /gssim/trunk/src/test/workflow/workload/GrmsJob_00.xml	(revision 1047)
+++ /gssim/trunk/src/test/workflow/workload/GrmsJob_00.xml	(revision 1047)
@@ -0,0 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grmsJob appId="0">
+	<task taskId="0">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+	</task>
+	<task taskId="1">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<workflow>
+			<parent triggerState="FINISHED">0</parent>
+		</workflow>
+	</task>
+	<task taskId="2">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<workflow>
+			<parent triggerState="FINISHED">0</parent>
+		</workflow>
+	</task>
+	<task taskId="3">
+		<requirements>
+			<resourceRequirements>
+				<computingResource>
+					<hostParameter name="cpucount">
+						<value>1.0</value>
+					</hostParameter>
+					<hostParameter name="memory">
+						<value>1024.0</value>
+					</hostParameter>
+				</computingResource>
+			</resourceRequirements>
+		</requirements>
+		<workflow>
+		<and>
+			<parent triggerState="FINISHED">1</parent>
+			<parent triggerState="FINISHED">2</parent>
+		</and>
+		</workflow>
+	</task>
+</grmsJob>