Index: DCWoRMS/branches/coolemall/src/simulator/stats/implementation/DCWormsStatistics.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 1005)
+++ DCWoRMS/branches/coolemall/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 1056)
@@ -141,8 +141,8 @@
 	
 	protected Timetable ganttDiagramTimetable;
-	protected Map<ResourceType, List<XYDataset>> resourcePowerUsageDiagrams;
-	protected Map<ResourceType, List<XYDataset>> resourceAirFlowDiagrams;
-	protected Map<ResourceType, List<XYDataset>> resourceTemperatureDiagrams;
-	protected Map<ResourceType, List<XYDataset>> resourceLoadDiagrams;
+	protected Map<String, List<XYDataset>> resourcePowerUsageDiagrams;
+	protected Map<String, List<XYDataset>> resourceAirFlowDiagrams;
+	protected Map<String, List<XYDataset>> resourceTemperatureDiagrams;
+	protected Map<String, List<XYDataset>> resourceLoadDiagrams;
 	
 	//TASKS
@@ -262,8 +262,8 @@
 		taskGanttMap = new HashMap<String, TimetableEventGroup>();		
 		
-		resourceLoadDiagrams = new HashMap<ResourceType, List<XYDataset>>();
-		resourcePowerUsageDiagrams = new HashMap<ResourceType, List<XYDataset>>();
-		resourceAirFlowDiagrams = new HashMap<ResourceType, List<XYDataset>>();
-		resourceTemperatureDiagrams = new HashMap<ResourceType, List<XYDataset>>();
+		resourceLoadDiagrams = new HashMap<String, List<XYDataset>>();
+		resourcePowerUsageDiagrams = new HashMap<String, List<XYDataset>>();
+		resourceAirFlowDiagrams = new HashMap<String, List<XYDataset>>();
+		resourceTemperatureDiagrams = new HashMap<String, List<XYDataset>>();
 		
 		ganttDiagramTimetable = new Timetable(new FixedMillisecond(
@@ -731,9 +731,9 @@
 				startSimulationTime, endSimulationTime);
 
-		List<XYDataset> loadDiagram = resourceLoadDiagrams.get(resLoadStats.getResourceType());
+		List<XYDataset> loadDiagram = resourceLoadDiagrams.get(resLoadStats.getResourceType().getName());
 		if(loadDiagram == null){
 			loadDiagram = new ArrayList<XYDataset>();
 			loadDiagram.add(dataset);
-			resourceLoadDiagrams.put(resLoadStats.getResourceType(), loadDiagram);
+			resourceLoadDiagrams.put(resLoadStats.getResourceType().getName(), loadDiagram);
 		} else {
 			loadDiagram.add(dataset);
@@ -746,9 +746,9 @@
 				startSimulationTime, endSimulationTime);
 		
-		List<XYDataset> energyDiagramData = resourcePowerUsageDiagrams.get(powerConsumptionStats.getResourceType());
+		List<XYDataset> energyDiagramData = resourcePowerUsageDiagrams.get(powerConsumptionStats.getResourceType().getName());
 		if(energyDiagramData == null){
 			energyDiagramData = new ArrayList<XYDataset>();
 			energyDiagramData.add(dataset);
-			resourcePowerUsageDiagrams.put(powerConsumptionStats.getResourceType(), energyDiagramData);
+			resourcePowerUsageDiagrams.put(powerConsumptionStats.getResourceType().getName(), energyDiagramData);
 		} else {
 			energyDiagramData.add(dataset);
@@ -761,9 +761,9 @@
 				startSimulationTime, endSimulationTime);
 		
-		List<XYDataset> temperatureDiagramData = resourceTemperatureDiagrams.get(temperatureStats.getResourceType());
+		List<XYDataset> temperatureDiagramData = resourceTemperatureDiagrams.get(temperatureStats.getResourceType().getName());
 		if(temperatureDiagramData == null){
 			temperatureDiagramData = new ArrayList<XYDataset>();
 			temperatureDiagramData.add(dataset);
-			resourceTemperatureDiagrams.put(temperatureStats.getResourceType(), temperatureDiagramData);
+			resourceTemperatureDiagrams.put(temperatureStats.getResourceType().getName(), temperatureDiagramData);
 		} else {
 			temperatureDiagramData.add(dataset);
@@ -776,9 +776,9 @@
 				startSimulationTime, endSimulationTime);
 		
-		List<XYDataset> airFlowDiagramData = resourceAirFlowDiagrams.get(airFlowStats.getResourceType());
+		List<XYDataset> airFlowDiagramData = resourceAirFlowDiagrams.get(airFlowStats.getResourceType().getName());
 		if(airFlowDiagramData == null){
 			airFlowDiagramData = new ArrayList<XYDataset>();
 			airFlowDiagramData.add(dataset);
-			resourceAirFlowDiagrams.put(airFlowStats.getResourceType(), airFlowDiagramData);
+			resourceAirFlowDiagrams.put(airFlowStats.getResourceType().getName(), airFlowDiagramData);
 		} else {
 			airFlowDiagramData.add(dataset);
@@ -841,8 +841,8 @@
 		if (configuration.creatediagrams_resutilization) {
 			String axisName = "UTILIZATION [%]";
-			for(ResourceType resType: resourceLoadDiagrams.keySet()){
+			for(String resType: resourceLoadDiagrams.keySet()){
 				resourceLoadDiagram = getResourceDynamicDiagram(resourceLoadDiagrams.get(resType), simulationTime, chartName,
 						subtitle, axisName);
-				if (!saveXYPlotChart(resourceLoadDiagram, fileName + "Resources Load - "+resType.getName()))
+				if (!saveXYPlotChart(resourceLoadDiagram, fileName + "Resources Load - "+resType))
 					return false;
 			}
@@ -854,8 +854,8 @@
 		if (configuration.creatediagrams_respowerusage) {
 			String axisName = "POWER [W]";
-			for(ResourceType resType: resourcePowerUsageDiagrams.keySet()){
+			for(String resType: resourcePowerUsageDiagrams.keySet()){
 				resourceEnergyDiagram = getResourceDynamicDiagram(resourcePowerUsageDiagrams.get(resType), simulationTime, chartName,
 						subtitle, axisName);
-				if (!saveXYPlotChart(resourceEnergyDiagram, fileName + "Energy - "+resType.getName()))
+				if (!saveXYPlotChart(resourceEnergyDiagram, fileName + "Energy - "+resType))
 					return false;
 			}
@@ -867,8 +867,8 @@
 		if (configuration.creatediagrams_resairflow) {
 			String axisName = "AIR FLOW [m^3/min]";
-			for(ResourceType resType: resourceAirFlowDiagrams.keySet()){
+			for(String resType: resourceAirFlowDiagrams.keySet()){
 				resourceAirFlowDiagram = getResourceDynamicDiagram(resourceAirFlowDiagrams.get(resType), simulationTime, chartName,
 						subtitle, axisName);
-				if (!saveXYPlotChart(resourceAirFlowDiagram, fileName + "AirThroughput - "+resType.getName()))
+				if (!saveXYPlotChart(resourceAirFlowDiagram, fileName + "AirThroughput - "+resType))
 					return false;
 			}
@@ -880,8 +880,8 @@
 		if (configuration.creatediagrams_restemperature) {
 			String axisName = "TEMPERATURE [C]";
-			for(ResourceType resType: resourceTemperatureDiagrams.keySet()){
+			for(String resType: resourceTemperatureDiagrams.keySet()){
 				resourceTemperatureDiagram = getResourceDynamicDiagram(resourceTemperatureDiagrams.get(resType), simulationTime, chartName,
 						subtitle, axisName);
-				if (!saveXYPlotChart(resourceTemperatureDiagram, fileName + "Temperature - "+resType.getName()))
+				if (!saveXYPlotChart(resourceTemperatureDiagram, fileName + "Temperature - "+resType))
 					return false;
 			}