Index: papers/SMPaT-2012_DCWoRMS/review/reviewers_remarks_summary
===================================================================
--- papers/SMPaT-2012_DCWoRMS/review/reviewers_remarks_summary	(revision 1063)
+++ papers/SMPaT-2012_DCWoRMS/review/reviewers_remarks_summary	(revision 1063)
@@ -0,0 +1,49 @@
+Ariel:
+   Figure 4 is not understandable on a black and white printout. Furthermore, what are the hardware characteristics of the investigated servers
+  Page 2, lines 13-17: The whole sentence needs to be rephrased
+  Page 13 line 55: why it is the core voltage and not the processor's voltage? If the voltage is related to the core, why the frequency is not related to the core?
+ Section 4.2 needs to be described better. For instance, how the set of states "n" are known in advance? How to correlate the power to the p-state, without taking into account the utilization rate of the CPU? How to specify how long a resource is in a given state (to compute the energy) especially for the case of VMs? How to compute the idle power of the CPU?
+ -page 18 : I think there are mistakes in the sections referenced : the static model is presented in section 4.2 ? the dynamic one in section 4.3 ? and the mapping in section 4.4 ?
+In page 3, lines 27-31 are inconsistent with the content of the paper: Section 6 covers the conclusion and not how to integrate workload and resource simulations with heat transfer ...
+
+Do sprawdzenia (Ariel)
+-page 13 a schema of the link with the CFD solver could be added ++++
+Figure 5 misses the units (Watts and seconds?)+++++
+  Equation (1) is missing the variable of integration "dt" +++
+  
+Do sprawdzenia (reszta)
+-page 7 : for workload modeling : is it possible to use SWF file and XML file for the same simulation ? +++++
+Page 21 lines 18 - 23: rephrase the whole sentence +++++
+Page 21 line 50: rephrase the whole sentence +++++
+ Table 6: the measured power of testbed nodes or processors?++++
+ Page 23 line 56: rephrase the whole sentence++++
+Page 10 lines 34 and 38: shouldn't be power instead of energy?++++
+Figures 6-11 could be bigger/with better resolution.++++
+What is the meaning of the phrase: 'imposes and restricts users in terms of modeled resources'? Explain or rephrase to make the contribution of the paper clear++++
+Section 5.4: Please provide some explanation on table 5.++++
+-Section 5.6: In the tables it appears that less load has greater energy usage and makespan values than the respective values of greater load. Please explain.++++
+ In Equation (7), how do we compute the "Papp". Furthermore, the same equation takes into account the utilization rate of the CPU. Then what role does "Papp" play?++++
+
+
+Co robimy?:
+The authors compare their approach with different ones, maybe they could also include in their state of the art the SimGrid simulator.
+- more equations (proposed in default plugins for the execution time, for the power ...) should be given. For example page 11 for execution time.
+Table 1: RAM type need to be specified: DDR 1/2/3 -- buffered or unbuffered, etc. Furthermore, what is PSU's efficiency of the tested servers?
+-Section 3.2-3.5: It would be useful to provide a short concise summary about which information should be the input to the simulator by the user, how the tool deals with this input and what are the outputs.
+Authors may find the following recent journal paper interesting and may consider to include it in related work: Majanen, Mmmel, Giesler, "Energy and carbon aware scheduling in supercomputing", International Journal on Advances in Intelligent Systems. Vol. 5 (2012) Nr: 3 & 4, pp. 451 - 469, http://www.iariajournals.org/intelligent_systems/intsys_v5_n34_2012_paged.pdf
+In Section 1, the authors claim that they compare the results of simulations to measurements of real servers. Where such comparison can be found? If in Section 5, there is no such comparison. Furthermore, nothing is said about the confidence intervals of the obtained results.
+With respect to Section 3.3 (Resource modeling), the authors need to give a detailed description (e.g UML class diagrams can be useful) of the data center's infrastructure in terms of main ICT resources and their interconnections. More precisely, they need to introduce a generic description of how to present enclosures, racks, networking equipment, storage devices, servers, PDUs, cooling system, etc.
+As mentioned above, the paper lacks clear description of how cloud computing can be simulated: the overhead of virtualization is not specified as well as specific performance metrics of Virtual Machines are not addressed. Among several questions, for instance, how to predict the lifetime of a Virtual Machine? How to present a Virtual Machine in the form of workload description introduced in Section 3.2.
+-Section 5.4: The question that arises here is how hard/realistic it is to run each application on each type of node for all frequencies  in advance in order to use the mapping approach. It would be useful to show the results from these measurements and show how the equation (7) fits on these data.   
+In this context, it would be interesting to run the simulations for the case that the model of equation (7) is used, and show whether the energy optimization techniques result in real savings or not due to the model errors.
+-Section 5.5.3: It would be interesting to show or comment on the existence of a 'critical' slow-down frequency above which the slow down is indeed energy efficient despite the longer execution times.
+
+
+
+Pozostale
+-names authors format in the references have to be the same First name Last name or F.last name+++++
+References: Please use the same style for all the references. Currently, some references are ended with a dot, some others not.+++++
+Language check recommended. I think there are quite many missing a/an/the.
+
+
+