Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1045)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1065)
@@ -22,10 +22,11 @@
 \newlabel{sota}{{2}{3}}
 \citation{GSSIM}
-\@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{5}}
+\@writefile{toc}{\contentsline {section}{\numberline {3}DCworms}{5}}
+\citation{GSSIM}
 \citation{GWF}
 \citation{SLURM}
 \citation{TORQUE}
 \citation{Ghislain}
-\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces  DCWoRMS architecture}}{6}}
+\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces  DCworms architecture}}{6}}
 \newlabel{fig:arch}{{1}{6}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{6}}
@@ -34,6 +35,7 @@
 \@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{8}}
 \newlabel{fig:jobsStructure}{{2}{8}}
+\citation{d2.2}
 \citation{GSSIM_Energy}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{9}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCworms}{9}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{10}}
@@ -44,5 +46,7 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{11}}
 \newlabel{sec:apps}{{3.5}{11}}
-\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy consumption in DCWoRMS}{12}}
+\citation{e2dc13}
+\citation{d2.2}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy consumption in DCworms}{12}}
 \newlabel{eq:E}{{1}{12}}
 \@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces Average power usage with regard to CPU frequency - Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}).  }}{13}}
@@ -61,9 +65,9 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.4}Application specific}{16}}
 \newlabel{eq:app}{{8}{16}}
-\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{16}}
-\newlabel{sec:experiments}{{5}{16}}
 \citation{e2dc12}
 \citation{abinit}
 \citation{cray}
+\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{17}}
+\newlabel{sec:experiments}{{5}{17}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{17}}
 \@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces  RECS system configuration}}{17}}
@@ -82,58 +86,58 @@
 \newlabel{expPowerModels}{{4}{19}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Methodology}{19}}
-\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Workload characteristics}}{20}}
-\newlabel{workloadCharacteristics}{{5}{20}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Computational analysis}{21}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{21}}
-\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Random strategy}}{22}}
-\newlabel{fig:70r}{{6}{22}}
-\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Random + switching off unused nodes strategy}}{22}}
-\newlabel{fig:70rnpm}{{7}{22}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Computational analysis}{20}}
+\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Workload characteristics}}{21}}
+\newlabel{workloadCharacteristics}{{5}{21}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{22}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Comparison of energy usage for Random (left) and Random + switching off unused nodes strategy (right)}}{22}}
+\newlabel{fig:70r_rnpm}{{6}{22}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{22}}
 \@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
 \newlabel{idlePower}{{6}{23}}
-\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization strategy}}{24}}
-\newlabel{fig:70eo}{{8}{24}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{24}}
-\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{25}}
-\newlabel{fig:70eonpm}{{9}{25}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{25}}
-\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Frequency downgrading strategy}}{26}}
-\newlabel{fig:70dfs}{{10}{26}}
-\@writefile{lof}{\contentsline {figure}{\numberline {11}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{26}}
-\newlabel{fig:dfsComp}{{11}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
-\newlabel{loadEnergy}{{7}{27}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Energy usage optimization strategy}}{24}}
+\newlabel{fig:70eo}{{7}{24}}
+\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{24}}
+\newlabel{fig:70eonpm}{{8}{24}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{25}}
+\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Frequency downgrading strategy}}{25}}
+\newlabel{fig:70dfs}{{9}{25}}
+\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{26}}
+\newlabel{fig:dfsComp}{{10}{26}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{26}}
+\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
+\newlabel{loadEnergy}{{7}{26}}
 \@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
 \newlabel{loadMakespan}{{8}{27}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{28}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{27}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
-\bibcite{e2dc12}{{2}{}{{}}{{}}}
-\bibcite{CloudSim}{{3}{}{{}}{{}}}
-\bibcite{DCSG}{{4}{}{{}}{{}}}
-\bibcite{DCD_Romonet}{{5}{}{{}}{{}}}
-\bibcite{networks}{{6}{}{{}}{{}}}
-\bibcite{Ghislain}{{7}{}{{}}{{}}}
-\bibcite{games}{{8}{}{{}}{{}}}
+\bibcite{e2dc13}{{2}{}{{}}{{}}}
+\bibcite{e2dc12}{{3}{}{{}}{{}}}
+\bibcite{CloudSim}{{4}{}{{}}{{}}}
+\bibcite{DCSG}{{5}{}{{}}{{}}}
+\bibcite{DCD_Romonet}{{6}{}{{}}{{}}}
+\bibcite{networks}{{7}{}{{}}{{}}}
+\bibcite{Ghislain}{{8}{}{{}}{{}}}
 \newlabel{}{{6}{29}}
-\bibcite{GreenCloud}{{9}{}{{}}{{}}}
-\bibcite{GSSIM}{{10}{}{{}}{{}}}
-\bibcite{GSSIM_Energy}{{11}{}{{}}{{}}}
-\bibcite{koomey}{{12}{}{{}}{{}}}
-\bibcite{fit4green_scheduler}{{13}{}{{}}{{}}}
-\bibcite{abinit}{{14}{}{{}}{{}}}
-\bibcite{cray}{{15}{}{{}}{{}}}
-\bibcite{fft}{{16}{}{{}}{{}}}
-\bibcite{linpack}{{17}{}{{}}{{}}}
-\bibcite{tar}{{18}{}{{}}{{}}}
-\bibcite{GWF}{{19}{}{{}}{{}}}
-\bibcite{SLURM}{{20}{}{{}}{{}}}
-\bibcite{SWF}{{21}{}{{}}{{}}}
-\bibcite{TORQUE}{{22}{}{{}}{{}}}
-\bibcite{colt}{{23}{}{{}}{{}}}
-\bibcite{coolemall}{{24}{}{{}}{{}}}
-\bibcite{ecocooling}{{25}{}{{}}{{}}}
-\bibcite{ff}{{26}{}{{}}{{}}}
-\bibcite{pue}{{27}{}{{}}{{}}}
-\bibcite{sgi}{{28}{}{{}}{{}}}
+\bibcite{games}{{9}{}{{}}{{}}}
+\bibcite{GreenCloud}{{10}{}{{}}{{}}}
+\bibcite{GSSIM}{{11}{}{{}}{{}}}
+\bibcite{GSSIM_Energy}{{12}{}{{}}{{}}}
+\bibcite{koomey}{{13}{}{{}}{{}}}
+\bibcite{fit4green_scheduler}{{14}{}{{}}{{}}}
+\bibcite{d2.2}{{15}{}{{}}{{}}}
+\bibcite{abinit}{{16}{}{{}}{{}}}
+\bibcite{cray}{{17}{}{{}}{{}}}
+\bibcite{fft}{{18}{}{{}}{{}}}
+\bibcite{linpack}{{19}{}{{}}{{}}}
+\bibcite{tar}{{20}{}{{}}{{}}}
+\bibcite{GWF}{{21}{}{{}}{{}}}
+\bibcite{SLURM}{{22}{}{{}}{{}}}
+\bibcite{SWF}{{23}{}{{}}{{}}}
+\bibcite{TORQUE}{{24}{}{{}}{{}}}
+\bibcite{colt}{{25}{}{{}}{{}}}
+\bibcite{coolemall}{{26}{}{{}}{{}}}
+\bibcite{ecocooling}{{27}{}{{}}{{}}}
+\bibcite{ff}{{28}{}{{}}{{}}}
+\bibcite{pue}{{29}{}{{}}{{}}}
+\bibcite{sgi}{{30}{}{{}}{{}}}
 \providecommand\NAT@force@numbers{}\NAT@force@numbers