Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1065)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1067)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1370003432 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1370006529 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,9 +30,9 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1370003435 7677 943ea425c1a06ee86ad9f3cef4feb020 ""
-  "elsarticle-DCWoRMS.spl" 1370003433 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1370003430 82153 95dc05f5a75cb5fd4d0fe15361436f41 ""
+  "elsarticle-DCWoRMS.aux" 1370006531 7677 ee860bc99ef90374805dbf64aaf0a430 ""
+  "elsarticle-DCWoRMS.spl" 1370006529 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1370006526 82123 6dafeac83286db1a04f54ac8551d85b2 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
-  "fig/70dfs.png" 1356617710 212573 e013d714dd1377384ed7793222210051 ""
+  "fig/70dfsGantt.png" 1370005142 138858 edc557d8862a7825f2941d8c69c30659 ""
   "fig/70eoGantt.png" 1369993414 152954 c6ad2c463977b823c9183c21286c02a2 ""
   "fig/70eonpmGantt.png" 1369993290 151460 8f39192a768dec4620f696c34b119efa ""
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1065)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1067)
@@ -229,5 +229,5 @@
 As it was said, experiments performed in DCworms require a description of applications that will be scheduled during the simulation. As a primary definition, DCworms uses files in the Standard Workload Format (SWF) or its extension the Grid Workload Format (GWF) \cite{GWF}. In addition to the SWF file, some more detailed specification of a job and tasks can be included in an auxiliary XML file. This form of description extends the basic one and provides the scheduler with more detailed information about application profile, task requirements, user preferences and execution time constraints, which are unavailable in SWF/GWF files. To facilitate the process of adapting the traces from real resource management systems, DCworms supports reading those delivered from the most common ones like SLURM \cite{SLURM} and Torque \cite{TORQUE}. 
 Since the applications may vary depending on their nature in terms of their requirements and structure, DCworms provides user flexibility in defining the application model. Thus, considered workloads may have various shapes and levels of complexity that range from multiple independent jobs, through large-scale parallel applications, up to whole workflows containing time dependencies and preceding constraints between jobs and tasks. Each job may consist of one or more tasks and these can be seen as groups of processes. Moreover, DCworms is able to handle rigid and moldable jobs, as well as pre-emptive ones. To model the application profile in more detail, 
-DCworms follows the DNA approach proposed in \cite{Ghislain}. Accordingly, each task can be presented as a sequence of phases, which shows the impact of this task on the resources that run it. Phases are then periods of time where the system is stable (load, network, memory) given a certain threshold. Each phase is linked to values of the system that represent a resource consumption profile. Such a stage could be for example described as follows: â60\% CPU, 30\% net, 10\% mem.â
+DCworms follows the DNA approach proposed in \cite{Ghislain}. Accordingly, each task can be presented as a sequence of phases, which shows the impact of this task on the resources that run it. Phases are then periods of time where the system is stable (load, network, memory) given a certain threshold. Each phase is linked to values of the system that represent a resource consumption profile. Such a stage could be for example described as follows: â60\% CPU, 30\% network, 10\% memoryâ.
 Levels of information about incoming jobs are presented in Figure~\ref{fig:jobsStructure}.
 
@@ -335,5 +335,5 @@
   \item network parameters
 \end{itemize}
-Using these parameters developers can for instance take into account the architectures of the underlying systems, such as multi-core processors, or virtualization overheads, and their impact on the final performance of applications.
+Using these parameters developers can for instance take into account the architectures of the underlying systems, such as multi-core processors, and their impact on the final performance of applications.
 
 
@@ -590,5 +590,5 @@
 To generate a workload we used the DCworms workload generator tool with the aforementioned characteristics gathered in Table~\ref{workloadCharacteristics}.
 
-\begin {table}[ tp]
+\begin {table}[ h!]
 \centering
 \begin{tabular}{l c c c c r}
@@ -622,5 +622,5 @@
 \end {table}
 
-In all cases we assumed that tasks are scheduled and served in order of their arrival (FIFO strategy) using relaxed backfilling (RB) approach, with indefinite delay for the highest priority task. Moreover, all tasks were assigned to nodes with the condition that they can be assigned only to nodes of the type on which the application was able to run (in other words - we had the corresponding value of power consumption and execution time). 
+In all cases we assumed that tasks are scheduled and served in order of their arrival (FIFO strategy) using relaxed backfilling approach, with indefinite delay for the highest priority task. Moreover, all tasks were assigned to nodes with the condition that they can be assigned only to nodes of the type on which the application was able to run (in other words - we had the corresponding value of power consumption and execution time). 
 
 \subsection{Computational analysis}
@@ -699,9 +699,9 @@
 \subsubsection{Downgrading frequency} 
 
-The last case considered by us is modification of the random strategy. We assume that tasks do not have deadlines and the only criterion which is taken into consideration, is the total energy consumption. In this experiment we configured the simulated infrastructure for the lowest possible frequencies of CPUs (LF). The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload. The values of the evaluated criteria are as follows: \textbf{workload completion time}: 1 065 356 s and \textbf{total energy usage}: 77.109 kWh. As we can see, for the given load of the system (70\%), the cost of running the workload that requires almost twice more time, can not be compensate by the lower power draw. Moreover, as it can be observed on the charts in Figure~\ref{fig:70dfs}, the execution times on the slowest nodes (Atom D510) visibly exceeds the corresponding values on other servers.
+The last case considered by us is modification of the random strategy. We assume that tasks do not have deadlines and the only criterion which is taken into consideration, is the total energy consumption. In this experiment we configured the simulated infrastructure for the lowest possible frequencies of CPUs (LF). The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload. The values of the evaluated criteria are as follows: \textbf{workload completion time}: 1 065 356 s and \textbf{total energy usage}: 77.109 kWh. As we can see, for the given load of the system (70\%), the cost of running the workload that requires almost twice more time, can not be compensate by the lower power draw. Moreover, as it can be observed on the chart in Figure~\ref{fig:70dfs}, the execution times on the slowest nodes (Atom D510) visibly exceeds the corresponding values on other servers.
 	
 \begin{figure}[h!]
 \centering
-\includegraphics[width = 12cm]{fig/70dfs.png}
+\includegraphics[width = 10cm]{fig/70dfsGantt.png}
 \caption{\label{fig:70dfs} Frequency downgrading strategy}
 \end{figure}
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1065)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1067)
@@ -89,24 +89,24 @@
 \@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Workload characteristics}}{21}}
 \newlabel{workloadCharacteristics}{{5}{21}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{22}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{21}}
 \@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Comparison of energy usage for Random (left) and Random + switching off unused nodes strategy (right)}}{22}}
 \newlabel{fig:70r_rnpm}{{6}{22}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{22}}
-\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
-\newlabel{idlePower}{{6}{23}}
-\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Energy usage optimization strategy}}{24}}
-\newlabel{fig:70eo}{{7}{24}}
+\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{22}}
+\newlabel{idlePower}{{6}{22}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Energy usage optimization strategy}}{23}}
+\newlabel{fig:70eo}{{7}{23}}
 \@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{24}}
 \newlabel{fig:70eonpm}{{8}{24}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{25}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{24}}
 \@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Frequency downgrading strategy}}{25}}
 \newlabel{fig:70dfs}{{9}{25}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{25}}
 \@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{26}}
 \newlabel{fig:dfsComp}{{10}{26}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{26}}
 \@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
 \newlabel{loadEnergy}{{7}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
-\newlabel{loadMakespan}{{8}{27}}
+\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
+\newlabel{loadMakespan}{{8}{26}}
 \@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{27}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
@@ -114,9 +114,9 @@
 \bibcite{e2dc12}{{3}{}{{}}{{}}}
 \bibcite{CloudSim}{{4}{}{{}}{{}}}
+\newlabel{}{{6}{28}}
 \bibcite{DCSG}{{5}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{6}{}{{}}{{}}}
 \bibcite{networks}{{7}{}{{}}{{}}}
 \bibcite{Ghislain}{{8}{}{{}}{{}}}
-\newlabel{}{{6}{29}}
 \bibcite{games}{{9}{}{{}}{{}}}
 \bibcite{GreenCloud}{{10}{}{{}}{{}}}