Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1071)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1072)
@@ -67,13 +67,12 @@
 \newlabel{eq:dynamic}{{4}{15}}
 \citation{fit4green_scheduler}
-\newlabel{eq:model}{{7}{16}}
+\newlabel{eq:modelLoad}{{7}{16}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.3}Application specific}{16}}
 \citation{e2dc12}
 \newlabel{eq:app}{{8}{17}}
+\newlabel{eq:model}{{9}{17}}
 \@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{17}}
 \newlabel{sec:experiments}{{5}{17}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{17}}
-\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces  RECS system configuration}}{17}}
-\newlabel{testBed}{{1}{17}}
 \citation{abinit}
 \citation{cray}
@@ -81,16 +80,16 @@
 \citation{tar}
 \citation{fft}
+\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces  RECS system configuration}}{18}}
+\newlabel{testBed}{{1}{18}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Evaluated applications}{18}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Methodology}{18}}
-\@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  Workload characteristics}}{19}}
-\newlabel{workloadCharacteristics}{{2}{19}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Models}{20}}
-\newlabel{sec:models}{{5.4}{20}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Models}{19}}
+\newlabel{sec:models}{{5.4}{19}}
+\@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  Workload characteristics}}{20}}
+\newlabel{workloadCharacteristics}{{2}{20}}
 \@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  $P_{cpubase}$ values in Watts}}{20}}
 \newlabel{nodeBasePowerUsage}{{3}{20}}
-\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  $P_{app}$ values in Watts}}{20}}
-\newlabel{appPowerUsage}{{4}{20}}
-\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Power models error in \%}}{21}}
-\newlabel{expPowerModels}{{5}{21}}
+\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  $P_{app}$ values in Watts}}{21}}
+\newlabel{appPowerUsage}{{4}{21}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Resource management policies evaluation}{21}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{21}}
@@ -98,6 +97,6 @@
 \newlabel{fig:70r_rnpm}{{6}{22}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{22}}
-\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
-\newlabel{idlePower}{{6}{23}}
+\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
+\newlabel{idlePower}{{5}{23}}
 \@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Energy usage optimization strategy}}{23}}
 \newlabel{fig:70eo}{{7}{23}}
@@ -110,13 +109,13 @@
 \newlabel{fig:dfsComp}{{10}{26}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.4}Summary}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
-\newlabel{loadEnergy}{{7}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
-\newlabel{loadMakespan}{{8}{27}}
+\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
+\newlabel{loadEnergy}{{6}{26}}
+\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
+\newlabel{loadMakespan}{{7}{27}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Verification of models}{27}}
-\newlabel{eq:modelLoad}{{9}{28}}
-\@writefile{lot}{\contentsline {table}{\numberline {9}{\ignorespaces  Comparison of energy usage estimations [kWh] obtained for two power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{28}}
-\newlabel{modelAccuracy}{{9}{28}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{28}}
+\newlabel{eq:modelLoadApp}{{10}{28}}
+\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Comparison of energy usage estimations [kWh] obtained for two power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{28}}
+\newlabel{modelAccuracy}{{8}{28}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{29}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
 \bibcite{e2dc13}{{2}{}{{}}{{}}}
@@ -126,7 +125,7 @@
 \bibcite{SimGrid}{{6}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{7}{}{{}}{{}}}
+\newlabel{}{{6}{30}}
 \bibcite{networks}{{8}{}{{}}{{}}}
 \bibcite{Ghislain}{{9}{}{{}}{{}}}
-\newlabel{}{{6}{30}}
 \bibcite{games}{{10}{}{{}}{{}}}
 \bibcite{GreenCloud}{{11}{}{{}}{{}}}
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1071)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1072)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1370268172 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1370274869 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1370268174 8439 dbc176d690cea90096674f10a42788ec ""
-  "elsarticle-DCWoRMS.spl" 1370268172 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1370268168 77625 f037212fb0f5e25440dd03fc93f3c095 ""
+  "elsarticle-DCWoRMS.aux" 1370274871 8339 a94618b5dd90767aa78e5b5a9204ca6a ""
+  "elsarticle-DCWoRMS.spl" 1370274869 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1370274867 78512 3bbc0846d5801022443bae1530d657d3 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfsGantt.png" 1370005142 138858 edc557d8862a7825f2941d8c69c30659 ""
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1071)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1072)
@@ -374,13 +374,14 @@
 \end{equation}
 
-Unfortunately, to verify this model and adjust it to the specific hardware, power usage of particular subcomponents such as CPU or memory must be measured. As this is usually difficult, other models, based on a total power use, can be applied.
-
-An example is a model applied in DCworms based on the real measurements (see Section \ref{sec:models} for more details): 
-
-\begin{equation}
-P = P_{idle} + L*P_{cpubase}*c^{(f-f_{base})/100} + P_{app}, \label{eq:model}
-\end{equation}
-
-where $P$ denotes power consumed by the node executing the given application, $P_{idle}$ is a power usage of node in idle state, $L$ is the current utilization level of the node, $P_{cpubase}$ stands for power usage of fully loaded CPU working in the lowest frequency, $c$ is the constant factor indicating the increase of power consumption with respect to the frequency increase $f$ is a current frequency, $f_{base}$ is the lowest available frequency within the given CPU and $P_{app}$ denotes the additional power usage derived from executing a particular application ($P_{app}$ is a constant appointed experimentally for each application in order to extract the part of power consumption independent of the load and specific for particular type of task).
+Unfortunately, to verify this model and adjust it to the specific hardware, power usage of particular subcomponents such as CPU or memory must be measured. As this is usually difficult, other models, based on a total power use, can be applied. An example is a model that assumes the linear dependency between the load and power consumption. 
+
+\begin{equation}
+P_L = P_{LL} + (L-LL)*(P_{HL}-P_{LL})/(HL-LL), \label{eq:modelLoad}
+\end{equation}
+
+where $L$ is a given processor load, $LL$ is the lowest measured processor load, $HL$ is the highest measured processor load, $P_L$ denotes power consumption for a given processor load, $P_{LL}$ is a power consumption measured for the lowest processor load and $P_{HL}$ stands for power consumption measured for the highest processor load.
+
+This model was applied in DCworms with respect to the real measurements and then used in the experiments (see Section  \ref{sec:experiments} for more details).
+
 
 
@@ -392,4 +393,12 @@
 f(S, L, A) \to P \label{eq:app}
 \end{equation}
+
+As an example we introduce a model that was build based on the real measurements (see Section \ref{sec:models} for more details): 
+
+\begin{equation}
+P = P_{idle} + L*P_{cpubase}*c^{(f-f_{base})/100} + P_{app}, \label{eq:model}
+\end{equation}
+
+where $P$ denotes power consumed by the node executing the given application, $P_{idle}$ is a power usage of node in idle state, $L$ is the current utilization level of the node, $P_{cpubase}$ stands for power usage of fully loaded CPU working in the lowest frequency, $c$ is the constant factor indicating the increase of power consumption with respect to the frequency increase $f$ is a current frequency, $f_{base}$ is the lowest available frequency within the given CPU and $P_{app}$ denotes the additional power usage derived from executing a particular application ($P_{app}$ is a constant appointed experimentally for each application in order to extract the part of power consumption independent of the load and specific for particular type of task).
 
 %\subsection{Air throughput models}\label{sec:air}
@@ -514,8 +523,13 @@
 
 \textbf{Dynamic}
-This model refers to the Resource load approach presented in Section~\ref{sec:power}. Based on the measured values of the total node power usage for various levels of load and frequencies of CPUs node power usage was defined as in \ref{eq:model}.
+This model refers to the Resource load approach presented in Section~\ref{sec:power}. Based on the measured values of the total node power usage for various levels of load and different types of applications power usage was defined as in \ref{eq:modelLoad}.
 
 %and referring to the existing models presented in literature, we assumed the following equation: $P = P_{idle} + load*P_{cpubase}*c^{(f-f_{base})/100} + P_{app}$, where $P$ denotes power consumed by the node executing the given application, $P_{idle}$ is a power usage of node in idle state, load is the current utilization level of the node, $P_{cpubase}$ stands for power usage of fully loaded CPU working in the lowest frequency, $c$ is the constant factor indicating the increase of power consumption with respect to the frequency increase $f$- is a current frequency, $f_{base}$- is the lowest available frequency within the given CPU and $P_{app}$ denotes the additional power usage derived from executing a particular application).
 
+
+
+
+\textbf{Application}
+This model refers to the Application specific approach presented in Section~\ref{sec:power}. Relative error of this model, with respect to the measured values, is equal to 10.85\%.  In this model we face possible deviation from the average caused by power usage fluctuations not explained by variables used in models. These deviations reached around 7\%. Power usage was defined using the equation presented in \ref{eq:model}.
 
 Table~\ref{nodeBasePowerUsage} and Table~\ref{appPowerUsage} contain values of $P_{cpubase}$ and $P_{app}$, respectively, obtained for the particular application and resource architectures. Lack of the corresponding value means that the application did not run on the given type of node.
@@ -552,25 +566,9 @@
 \end {table}
 
-
 \textbf{Mapping}
-This model refers to the Application specific approach presented in Section~\ref{sec:power}. However, in this model we applied the measured values for each application exactly to the power model. Neither dependencies with load nor application profiles are modeled. Obviously this model is contaminated only with the inaccuracy of the measurements and variability of power usage (caused by other unmeasured factors).
-	
-The following table (Table~\ref{expPowerModels}) contains the relative errors of the models with respect to the measured values
-\begin {table}[h!]
-\centering
-\begin{tabular}{llr}
-\hline
-Static & Dynamic  & Mapping \\
-\hline
-13.74 & 10.85 & 0 \\
-\hline
-\end{tabular}
-\caption {\label{expPowerModels} Power models error in \%}
-\end {table}
-
-Obviously, 0\% error in the case of the Mapping model is caused by the use of a tabular data, which for each application stores a specific power usage. Nevertheless, in all models we face possible deviations from the average caused by power usage fluctuations not explained by variables used in models. These deviations reached around 7\% for each case.
-
-For the experimental purposes we decided to use the latter model. Thus, we introduce into the simulation environment exact values obtained within our testbed, to build both the power profiles of applications as well as the application performance models, denoting their execution times.
-
+Within this model we applied the measured values for each application exactly to the power model. Neither dependencies with load nor application profiles are modeled. Obviously this approach is contaminated only with the inaccuracy of the measurements and variability of power usage (caused by other unmeasured factors).
+
+For the evaluation of resource management policies we decided to use the latter model. Thus, we introduce into the simulation environment exact values obtained within our testbed, to build both the power profiles of applications as well as the application performance models, denoting their execution times.
+In the experiments addressing the verification of models we investigated the Dynamic model by comparing appropriate results to the ones derived from the Mapping approach.
 
 
@@ -713,12 +711,15 @@
 This section contains more detailed comparison of two types of power consumption models that can be applied, among others, within the DCworms. The first one, called Mapping approach, was applied to the experiments in the previous section. As mentioned within this model, the values measured on the CoolEmAll testbed for each application were applied directly to the power consumption model used in DCworms. 
 
-Model evaluated in this section is a modification of the Mapping and Dynamic model by additional modeling of dependencies with the processor load. 
-Within this model, we benefited from the power profiles based on the measurements made on CoolEmAll testbed (and adopted also by the previous model). However, data applied to the simulation environment consisted only of measurements gathered for applications ran in mode resulting in lowest and highest processor load. For all load levels between the given two values we assumed the linear dependency between the load and power consumption. Thus, the power consumption for the given processor load can be expressed using the following equation (\ref{eq:modelLoad}):
-
-\begin{equation}
-P_L = P_{LL} + (L-LL)*(P_{HL}-P_{LL})/(HL-LL), \label{eq:modelLoad}
-\end{equation}
-
-where $L$ is a given processor load, $LL$ is the lowest measured processor load, $HL$ is the highest measured processor load, $P_L$ denotes power consumption for a given processor load, $P_{LL}$ is a power consumption measured for the lowest processor load and $P_{HL}$ stands for power consumption measured for the highest processor load.
+Model evaluated in this section is a variation of Dynamic model by additional modeling of dependencies with the processor load for the given type of application. Within this model, we benefited from the power profiles based on the measurements made on CoolEmAll testbed (and adopted also by the previous model). However, data applied to the simulation environment consisted only of measurements gathered for applications ran in mode resulting in lowest and highest processor load. For all load levels between the given two values we assumed the linear dependency between the load and power consumption. Thus, the power consumption for the given processor load can be expressed using the equation (\ref{eq:modelLoadApp}).
+
+
+\begin{equation}
+P_{L_{app}} = P_{LL_{app}} + (L_{app}-LL_{app})*(P_{HL_{app}}-P_{LL_{app}})/(HL_{app}-LL_{app}), \label{eq:modelLoadApp}
+\end{equation}
+
+where $L_{app}$ is a given processor load, $LL_{app}$ is the lowest measured processor load, $HL_{app}$ is the highest measured processor load, $P_{L_{app}}$ denotes power consumption for a given processor load, $P_{LL_{app}}$ is a power consumption measured for the lowest processor load and $P_{HL_{app}}$ stands for power consumption measured for the highest processor load. All these values refer to the execution of the application of the given type.
+
+
+Table \ref{modelAccuracy} contains the results obtained for two examined models for five resource management strategies presented in the previous section.
 
 \begin {table}[h!]
@@ -726,5 +727,5 @@
 \begin{tabular}{l| c | c | c }
 \hline
-Policy / Model  & Mapping & Mapping + Dynamic  & Accuracy [\%]\\
+Policy / Model  & Mapping & Dynamic  & Accuracy [\%]\\
 \hline
 R & 46.883 & 44.476 & 94.87 \\
@@ -738,5 +739,5 @@
 \end {table}
 
-As it can be observed the accuracy of the Mapping + Dynamic based model is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
+As it can be observed the accuracy of the Dynamic based model is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
 
 