Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1075)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1076)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1370277362 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1370348712 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1370277364 8339 315dc8d5b2ff46b5c8e14b8345c629e0 ""
-  "elsarticle-DCWoRMS.spl" 1370277362 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1370277361 78435 4c2001980a7f9d73913d460315631798 ""
+  "elsarticle-DCWoRMS.aux" 1370348714 8339 315dc8d5b2ff46b5c8e14b8345c629e0 ""
+  "elsarticle-DCWoRMS.spl" 1370348712 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1370348707 78658 5f4894cae732366d8ca32af1ffe4e810 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfsGantt.png" 1370005142 138858 edc557d8862a7825f2941d8c69c30659 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1075)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1076)
@@ -400,5 +400,5 @@
 \end{equation}
 
-where $P$ denotes power consumed by the node executing the given application, $P_{idle}$ is a power usage of node in idle state, $L$ is the current utilization level of the node, $P_{cpubase}$ stands for power usage of fully loaded CPU working in the lowest frequency, $c$ is the constant factor indicating the increase of power consumption with respect to the frequency increase $f$ is a current frequency, $f_{base}$ is the lowest available frequency within the given CPU and $P_{app}$ denotes the additional power usage derived from executing a particular application ($P_{app}$ is a constant appointed experimentally for each application in order to extract the part of power consumption independent of the load and specific for particular type of task).
+where $P$ denotes power consumed by the node executing the given application, $P_{idle}$ is a power usage of node in idle state, $L$ is the current utilization level of the node, $P_{cpubase}$ stands for power usage of fully loaded CPU working in the lowest frequency, $c$ is the constant factor indicating the increase of power consumption with respect to the frequency increase, $f$ is a current frequency, $f_{base}$ is the lowest available frequency within the given CPU and $P_{app}$ denotes the additional power usage derived from executing a particular application ($P_{app}$ is a constant appointed experimentally for each application in order to extract the part of power consumption independent of the load and specific for particular type of task).
 
 %\subsection{Air throughput models}\label{sec:air}
@@ -729,9 +729,9 @@
 Policy / Model  & Mapping & Dynamic  & Accuracy [\%]\\
 \hline
-R & 46.883 & 44.476 & 94.87 \\
-R+NPM & 30.568 &	28.250 & 92.42 \\
-EO & 77.109 &	75.277 &	97.62\\
-EO+NPM & 46.305 & 44.050 & 95.13\\
-R+LF & 36.705 & 34.298 & 93.44\\
+R & 46.883 & 44.476 &  94.87 \\
+R+NPM & 30.568 &	28.250 &  92.42 \\
+EO & 36.705 & 34.298 & 93.44\\
+EO+NPM & 46.305 & 44.050 &  95.13\\
+R+LF  & 77.109 & 75.277 & 97.62\\
 \hline
 \end{tabular}
@@ -739,5 +739,11 @@
 \end {table}
 
-As it can be observed the accuracy of the Dynamic based model is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
+%R & 46.883 & 44.476 & 48.444 & 94.87 \\
+%R+NPM & 30.568 &	28.250 & 32.619 & 92.42 \\
+%EO & 36.705 & 34.298 & 42.386 & 93.44\\
+%EO+NPM & 46.305 & 44.050 & 26.319 & 95.13\\
+%R+LF  & 77.109 & 75.277 &	80.905 & 97.62\\
+
+As it can be observed, the accuracy of the Dynamic based model is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
 
 