Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1075)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1077)
@@ -92,16 +92,18 @@
 \@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  $P_{app}$ values in Watts}}{21}}
 \newlabel{appPowerUsage}{{4}{21}}
+\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Power models error in \%}}{21}}
+\newlabel{expPowerModels}{{5}{21}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Resource management policies evaluation}{21}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{21}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{22}}
 \@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces  Comparison of energy usage for Random (left) and Random + switching off unused nodes strategy (right)}}{22}}
 \newlabel{fig:70r_rnpm}{{6}{22}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{22}}
-\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
-\newlabel{idlePower}{{5}{23}}
-\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Energy usage optimization strategy}}{23}}
-\newlabel{fig:70eo}{{7}{23}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{23}}
+\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{23}}
+\newlabel{idlePower}{{6}{23}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Energy usage optimization strategy}}{24}}
+\newlabel{fig:70eo}{{7}{24}}
 \@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{24}}
 \newlabel{fig:70eonpm}{{8}{24}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{24}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{25}}
 \@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Frequency downgrading strategy}}{25}}
 \newlabel{fig:70dfs}{{9}{25}}
@@ -109,14 +111,20 @@
 \newlabel{fig:dfsComp}{{10}{26}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.4}Summary}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{26}}
-\newlabel{loadEnergy}{{6}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
-\newlabel{loadMakespan}{{7}{27}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Verification of models}{27}}
+\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
+\newlabel{loadEnergy}{{7}{27}}
+\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{27}}
+\newlabel{loadMakespan}{{8}{27}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Verification of models}{28}}
+\@writefile{toc}{\contentsline {paragraph}{Static}{28}}
+\@writefile{toc}{\contentsline {paragraph}{Dynamic}{28}}
 \newlabel{eq:modelLoadApp}{{10}{28}}
-\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Comparison of energy usage estimations [kWh] obtained for two power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{28}}
-\newlabel{modelAccuracy}{{8}{28}}
+\@writefile{toc}{\contentsline {paragraph}{Application}{28}}
+\@writefile{lot}{\contentsline {table}{\numberline {9}{\ignorespaces  Comparison of energy usage estimations [kWh] obtained for investigated power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{29}}
+\newlabel{modelsResults}{{9}{29}}
+\@writefile{lot}{\contentsline {table}{\numberline {10}{\ignorespaces  Comparison of accuracy [\%] obtained for investigated power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{29}}
+\newlabel{modelsAccuracy}{{10}{29}}
 \@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{29}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
+\newlabel{}{{6}{30}}
 \bibcite{e2dc13}{{2}{}{{}}{{}}}
 \bibcite{e2dc12}{{3}{}{{}}{{}}}
@@ -125,5 +133,4 @@
 \bibcite{SimGrid}{{6}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{7}{}{{}}{{}}}
-\newlabel{}{{6}{30}}
 \bibcite{networks}{{8}{}{{}}{{}}}
 \bibcite{Ghislain}{{9}{}{{}}{{}}}
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1076)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1077)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1370348712 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1370702589 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1370348714 8339 315dc8d5b2ff46b5c8e14b8345c629e0 ""
-  "elsarticle-DCWoRMS.spl" 1370348712 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1370348707 78658 5f4894cae732366d8ca32af1ffe4e810 ""
+  "elsarticle-DCWoRMS.aux" 1370702591 9018 425f77cfa7830045e4cbd18ac6a0c0b5 ""
+  "elsarticle-DCWoRMS.spl" 1370702589 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1370702589 80309 640d0441cedb5cc9f92998ca923ce3a7 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfsGantt.png" 1370005142 138858 edc557d8862a7825f2941d8c69c30659 ""
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1076)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1077)
@@ -397,5 +397,5 @@
 
 \begin{equation}
-P = P_{idle} + L*P_{cpubase}*c^{(f-f_{base})/100} + P_{app}, \label{eq:model}
+P = P_{idle} + L*P_{cpubase}*c^{(f-f_{base})/100} + P_{app} \label{eq:model}
 \end{equation}
 
@@ -531,5 +531,5 @@
 
 \textbf{Application}
-This model refers to the Application specific approach presented in Section~\ref{sec:power}. Relative error of this model, with respect to the measured values, is equal to 10.85\%.  In this model we face possible deviation from the average caused by power usage fluctuations not explained by variables used in models. These deviations reached around 7\%. Power usage was defined using the equation presented in \ref{eq:model}.
+This model refers to the Application specific approach presented in Section~\ref{sec:power}. Power usage was defined using the equation presented in \ref{eq:model}.
 
 Table~\ref{nodeBasePowerUsage} and Table~\ref{appPowerUsage} contain values of $P_{cpubase}$ and $P_{app}$, respectively, obtained for the particular application and resource architectures. Lack of the corresponding value means that the application did not run on the given type of node.
@@ -555,6 +555,6 @@
 \hline
 Abinit & 3.3 &  - &  - \\
-Linpactiny & 2.5 & - & 0.2 \\
-Linpack3gb &  6 &  -  & -  \\
+Linpack - tiny & 2.5 & - & 0.2 \\
+Linpack - 3Gb &  6 &  -  & -  \\
 C-Ray & 4 & 1 & 0.05 \\
 FFT & 3.5 & 2 & 0.1 \\
@@ -569,6 +569,23 @@
 Within this model we applied the measured values for each application exactly to the power model. Neither dependencies with load nor application profiles are modeled. Obviously this approach is contaminated only with the inaccuracy of the measurements and variability of power usage (caused by other unmeasured factors).
 
+
+The following table (Table~\ref{expPowerModels}) contains the relative errors of the models with respect to the measured values
+\begin {table}[h!]
+\centering
+\begin{tabular}{cccc}
+\hline
+Static & Dynamic & Application  & Mapping \\
+\hline
+13.74 & 5.2 &  10.85 & 0 \\
+\hline
+\end{tabular}
+\caption {\label{expPowerModels} Power models error in \%}
+\end {table}
+
+Obviously, 0\% error in the case of the Mapping model is caused by the use of a tabular data, which for each application stores a specific power usage. Nevertheless, in all models we face possible deviations from the average caused by power usage fluctuations not explained by variables used in models. These deviations reached around 7\% for each case.
+
+
 For the evaluation of resource management policies we decided to use the latter model. Thus, we introduce into the simulation environment exact values obtained within our testbed, to build both the power profiles of applications as well as the application performance models, denoting their execution times.
-In the experiments addressing the verification of models we investigated the Dynamic model by comparing appropriate results to the ones derived from the Mapping approach.
+In the experiments addressing the verification of models we investigated all models by comparing the appropriate results to the ones derived from the Mapping approach.
 
 
@@ -709,41 +726,75 @@
 \subsection{Verification of models} 
 
-This section contains more detailed comparison of two types of power consumption models that can be applied, among others, within the DCworms. The first one, called Mapping approach, was applied to the experiments in the previous section. As mentioned within this model, the values measured on the CoolEmAll testbed for each application were applied directly to the power consumption model used in DCworms. 
-
-Model evaluated in this section is a variation of Dynamic model by additional modeling of dependencies with the processor load for the given type of application. Within this model, we benefited from the power profiles based on the measurements made on CoolEmAll testbed (and adopted also by the previous model). However, data applied to the simulation environment consisted only of measurements gathered for applications ran in mode resulting in lowest and highest processor load. For all load levels between the given two values we assumed the linear dependency between the load and power consumption. Thus, the power consumption for the given processor load can be expressed using the equation (\ref{eq:modelLoadApp}).
-
+This section contains more detailed and experimental comparison of power consumption models that can be applied, among others, within the DCworms. As a reference model, called Mapping approach, we used model that was applied to the experiments in the previous section. As mentioned within this model, the values measured on the CoolEmAll testbed for each application were applied directly to the power consumption model used in DCworms. 
+
+\paragraph{Static}
+TODO
+
+\paragraph{Dynamic}
+This model assumes additional modeling of dependencies with the processor load for the given type of application. Within this model, we benefited from the power profiles based on the measurements made on CoolEmAll testbed. However, data applied to the simulation environment consisted only of measurements gathered for applications ran in mode resulting in lowest and highest processor load. For all load levels between the given two values we assumed the linear dependency between the load and power consumption. Thus, the power consumption for the given processor load can be expressed using the equation (\ref{eq:modelLoadApp}).
 
 \begin{equation}
-P_{L_{app}} = P_{LL_{app}} + (L_{app}-LL_{app})*(P_{HL_{app}}-P_{LL_{app}})/(HL_{app}-LL_{app}), \label{eq:modelLoadApp}
+P_{L_{app}} = P_{LL_{app}} + (L_{app}-LL_{app})*(P_{HL_{app}}-P_{LL_{app}})/(HL_{app}-LL_{app}) \label{eq:modelLoadApp}
 \end{equation}
 
 where $L_{app}$ is a given processor load, $LL_{app}$ is the lowest measured processor load, $HL_{app}$ is the highest measured processor load, $P_{L_{app}}$ denotes power consumption for a given processor load, $P_{LL_{app}}$ is a power consumption measured for the lowest processor load and $P_{HL_{app}}$ stands for power consumption measured for the highest processor load. All these values refer to the execution of the application of the given type.
 
-
-Table \ref{modelAccuracy} contains the results obtained for two examined models for five resource management strategies presented in the previous section.
+\paragraph{Application}
+TODO
+
+Table \ref{modelsResults} contains the results obtained for all examined models for five resource management strategies presented in the previous section, while Table \ref{modelsAccuracy} summarize their accuracy.
+
+%\begin {table}[h!]
+%\centering
+%\begin{tabular}{l| c | c | c }
+%\hline
+%Policy / Model  & Mapping & Dynamic  & Accuracy [\%]\\
+%\hline
+%R & 46.883 & 44.476 &  94.87 \\
+%R+NPM & 36.705 & 34.298 & 93.44\\
+%EO & 46.305 & 44.050 &  95.13\\
+%EO+NPM & 30.568 &	28.250 &  92.42 \\
+%R+LF  & 77.109 & 75.277 & 97.62\\
+%\hline
+%\end{tabular}
+%\caption {\label{modelAccuracy} Comparison of energy usage estimations [kWh] obtained for two power consumption %models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy %optimization + node power management, R+LF - Random + lowest frequency}
+%\end {table}
+
 
 \begin {table}[h!]
 \centering
-\begin{tabular}{l| c | c | c }
-\hline
-Policy / Model  & Mapping & Dynamic  & Accuracy [\%]\\
-\hline
-R & 46.883 & 44.476 &  94.87 \\
-R+NPM & 30.568 &	28.250 &  92.42 \\
-EO & 36.705 & 34.298 & 93.44\\
-EO+NPM & 46.305 & 44.050 &  95.13\\
-R+LF  & 77.109 & 75.277 & 97.62\\
+\begin{tabular}{l| c | c | c | c}
+\hline
+Policy / Model  & Mapping & Static &  Dynamic  & Application \\
+\hline
+R & 46.883 & 48.969 &46.857 & 45.024 \\
+R+NPM &  36.705 & 38.790	& 36.679  & 34.846 \\
+EO & 46.305 & 49.254 & 46.746 & 44.585 \\
+EO +NPM & 30.568 &	33.915 & 30.31 & 28.728\\
+R+LF  & 77.109 &  78.371 & 76.5  &	81.919\\
 \hline
 \end{tabular}
-\caption {\label{modelAccuracy} Comparison of energy usage estimations [kWh] obtained for two power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}
+\caption {\label{modelsResults} Comparison of energy usage estimations [kWh] obtained for investigated power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}
 \end {table}
 
-%R & 46.883 & 44.476 & 48.444 & 94.87 \\
-%R+NPM & 30.568 &	28.250 & 32.619 & 92.42 \\
-%EO & 36.705 & 34.298 & 42.386 & 93.44\\
-%EO+NPM & 46.305 & 44.050 & 26.319 & 95.13\\
-%R+LF  & 77.109 & 75.277 &	80.905 & 97.62\\
-
-As it can be observed, the accuracy of the Dynamic based model is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
+
+
+\begin {table}[h!]
+\centering
+\begin{tabular}{l| c | c | c | c}
+\hline
+Policy / Model  & Mapping & Static &  Dynamic  & Application \\
+\hline
+R & 100 & 95.55&	99.94	&96.03 \\
+R+NPM & 100 & 94.32&	99.93&	94.94 \\
+EO & 100 & 93.63	&99.05	&96.29\\
+EO +NPM &  100 &	89.05&	99.16&	93.98\\
+R+LF  &  100 &  98.36	&99.21&	93.76\\
+\hline
+\end{tabular}
+\caption {\label{modelsAccuracy} Comparison of accuracy [\%] obtained for investigated power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}
+\end {table}
+
+As it can be observed, the accuracy of the all models is high and exceeds visibly 90\%. Satisfactory accuracy suggests that applying various power consumption models, while verifying different approaches or in case of lack of detailed measurements, does not lead to deterioration of overall results. This fact confirms also the important role of simulations in the experiments related to the distributed computing systems. 
 
 