Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1077)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 1078)
@@ -117,14 +117,14 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Verification of models}{28}}
 \@writefile{toc}{\contentsline {paragraph}{Static}{28}}
+\newlabel{eq:modelStatic}{{10}{28}}
 \@writefile{toc}{\contentsline {paragraph}{Dynamic}{28}}
-\newlabel{eq:modelLoadApp}{{10}{28}}
-\@writefile{toc}{\contentsline {paragraph}{Application}{28}}
+\newlabel{eq:modelLoadApp}{{11}{28}}
+\@writefile{toc}{\contentsline {paragraph}{Application}{29}}
 \@writefile{lot}{\contentsline {table}{\numberline {9}{\ignorespaces  Comparison of energy usage estimations [kWh] obtained for investigated power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{29}}
 \newlabel{modelsResults}{{9}{29}}
 \@writefile{lot}{\contentsline {table}{\numberline {10}{\ignorespaces  Comparison of accuracy [\%] obtained for investigated power consumption models. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{29}}
 \newlabel{modelsAccuracy}{{10}{29}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{29}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}Conclusions and future work}{30}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
-\newlabel{}{{6}{30}}
 \bibcite{e2dc13}{{2}{}{{}}{{}}}
 \bibcite{e2dc12}{{3}{}{{}}{{}}}
@@ -134,4 +134,5 @@
 \bibcite{DCD_Romonet}{{7}{}{{}}{{}}}
 \bibcite{networks}{{8}{}{{}}{{}}}
+\newlabel{}{{6}{31}}
 \bibcite{Ghislain}{{9}{}{{}}{{}}}
 \bibcite{games}{{10}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1077)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 1078)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1370702589 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1370720839 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1370702591 9018 425f77cfa7830045e4cbd18ac6a0c0b5 ""
-  "elsarticle-DCWoRMS.spl" 1370702589 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1370702589 80309 640d0441cedb5cc9f92998ca923ce3a7 ""
+  "elsarticle-DCWoRMS.aux" 1370720841 9054 ce767eca17a41673648ebec1ac97b451 ""
+  "elsarticle-DCWoRMS.spl" 1370720839 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1370720839 80999 74059f701981185c8ea7126e062971ba ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfsGantt.png" 1370005142 138858 edc557d8862a7825f2941d8c69c30659 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1077)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 1078)
@@ -533,5 +533,5 @@
 This model refers to the Application specific approach presented in Section~\ref{sec:power}. Power usage was defined using the equation presented in \ref{eq:model}.
 
-Table~\ref{nodeBasePowerUsage} and Table~\ref{appPowerUsage} contain values of $P_{cpubase}$ and $P_{app}$, respectively, obtained for the particular application and resource architectures. Lack of the corresponding value means that the application did not run on the given type of node.
+Table~\ref{nodeBasePowerUsage} and Table~\ref{appPowerUsage} contain values of $P_{cpubase}$ and $P_{app}$, respectively, obtained for the particular application and resource architectures. Lack of the corresponding value means that the application did not run on the given type of node. $c$ constant was found and equal to 1.12.
 \begin {table}[h!]
 \centering
@@ -729,5 +729,10 @@
 
 \paragraph{Static}
-TODO
+With each node power state, understood as a possible operating state (p-state), we associated a power consumption value that derives from the averaged values of measurements obtained for different types of application. Therefore, the current power usage of the node, can be expressed as: 
+\begin{equation}
+P = P_{idle} + P_{f} \label{eq:modelStatic}
+\end{equation}
+
+where $P$ denotes power consumed by the node, $P_{idle}$ is a power usage of node in idle state and $P_{f}$ stands for power usage of CPU operating at the given frequency level.
 
 \paragraph{Dynamic}
@@ -741,5 +746,5 @@
 
 \paragraph{Application}
-TODO
+The applied model followed the equation (\ref{eq:model}) and used the data presented in Section \ref{sec:models}.
 
 Table \ref{modelsResults} contains the results obtained for all examined models for five resource management strategies presented in the previous section, while Table \ref{modelsAccuracy} summarize their accuracy.